/**
 * SNA LU Group validateion
 */
function LUGroupValidate(form_name)
{
	//var o_luGrpName = "document." + form_name + ".LUGRPNM";
	var o_port = "document." + form_name + ".SOFTLINKPORT";
	var o_wcaSessCnt = "document." + form_name + ".WCASSNCNT";
	var o_tranTimeout = "document." + form_name + ".TRANTIMEOUT";
	var o_dummyOffset = "document." + form_name + ".DUMMYOFFSET";
	var o_hostSndRUSize = "document." + form_name + ".HOSTSNDRUSIZE";	
	var o_hostRcvRUSize = "document." + form_name + ".HOSTRCVRUSIZE";	
	var o_applyID = "document." + form_name + ".APPLID";
	//var o_busyVal = "document." + form_name + ".BUSYBASVL";
	var o_bkupCvsVal = "document." + form_name + ".BKUPCVSBASVL";
	var o_bkupNodeName = "document." + form_name + ".BKUPNODENM";
	var o_bkupPort = "document." + form_name + ".BKUPSOFTLINKPORT";
	var o_logFileSize = "document." + form_name + ".GRSTLOGFILESIZE";

	
	/*
    if(eval(o_luGrpName).value == '' )
	{
		alert("LU 그룹을 입력하세요!");
		eval(o_luGrpName).focus();
		return false;
	}
	*/
	if(eval(o_port).value == '' )
	{
		alert("소프트링크포트를 입력하세요!");
		eval(o_port).focus();
		return false;
	}
    if (!isNumber(eval(o_port).value))
    {
        alert("소프트링크포트는 숫자만 입력가능합니다!");
        eval(o_port).focus();
        return false;
    }    
    
	if(eval(o_wcaSessCnt).value == '' )
	{
		alert("WCA 세션수를 입력하세요!");
		eval(o_wcaSessCnt).focus();
		return false;
	}
    if (!isNumber(eval(o_wcaSessCnt).value))
    {
        alert("WCA 세션수는 숫자만 입력가능합니다!");
        eval(o_wcaSessCnt).focus();
        return false;
    }

	if(eval(o_tranTimeout).value == '' )
	{
		alert("서비스타임아웃값를 입력하세요!");
		eval(o_tranTimeout).focus();
		return false;
	}
    if (!isNumber(eval(o_tranTimeout).value))
    {
        alert("서비스타임아웃값는 숫자만 입력가능합니다!");
        eval(o_tranTimeout).focus();
        return false;
    }

	if(eval(o_dummyOffset).value == '' )
	{
		alert("DUMMY 메세지 위치값을 입력하세요!");
		eval(o_dummyOffset).focus();
		return false;
	}
    if (!isNumber(eval(o_dummyOffset).value))
    {
        alert("DUMMY 메세지 위치값는 숫자만 입력가능합니다!");
        eval(o_dummyOffset).focus();
        return false;
    }
	
	if(eval(o_hostSndRUSize).value == '' )
	{
		alert("호스트 송신 RU 크기를 입력하세요!");
		eval(o_hostSndRUSize).focus();
		return false;
	}
    if (!isNumber(eval(o_hostSndRUSize).value))
    {
        alert("호스트 송신 RU 크기은 숫자만 입력가능합니다!");
        eval(o_hostSndRUSize).focus();
        return false;
    }

	if(eval(o_hostRcvRUSize).value == '' )
	{
		alert("호스트 수신 RU 크기를 입력하세요!");
		eval(o_hostRcvRUSize).focus();
		return false;
	}
    if (!isNumber(eval(o_hostRcvRUSize).value))
    {
        alert("호스트 수신 RU 크기은 숫자만 입력가능합니다!");
        eval(o_hostRcvRUSize).focus();
        return false;
    }
	if(eval(o_applyID).value == '' )
	{
		alert("어플리케이션 ID값을 입력하세요!");
		eval(o_applyID).focus();
		return false;
	}   

	if(eval(o_bkupCvsVal).value == '' )
	{
		alert("백업전환 기준 장애율을 입력하세요!");
		eval(o_bkupCvsVal).focus();
		return false;
	}
    if (!isNumber(eval(o_bkupCvsVal).value))
    {
        alert("백업전환 기준 장애율은 숫자만 입력가능합니다!");
        eval(o_bkupCvsVal).focus();
        return false;
    }    
	
	if(eval(o_bkupNodeName).value == '' )
	{
		alert("백업 어댑터 기동 서버명를 입력하세요!");
		eval(o_bkupNodeName).focus();
		return false;
	}	

	if(eval(o_bkupPort).value == '' )
	{
		alert("백업 소프트링크 포트를 입력하세요!");
		eval(o_bkupPort).focus();
		return false;
	}
	if (!isNumber(eval(o_bkupPort).value))
	{
		alert("백업 소프트링크 포트는 숫자만 입력가능합니다!");
		eval(o_bkupPort).focus();
		return false;
	}

	if(eval(o_logFileSize).value == '' )
	{
		alert("최대 로그 파일값을 입력하세요!");
		eval(o_logFileSize).focus();
		return false;
	}
	if (!isNumber(eval(o_logFileSize).value))
	{
		alert("최대 로그 파일값은 숫자만 입력가능합니다!");
		eval(o_logFileSize).focus();
		return false;
	}
	

    return true;    
}


/**
 * SNA LU validateion (insert)
 */
function LUInfoValidate(form_name)
{
	var o_puname = "document." + form_name + ".PUNM";
	var o_luname = "document." + form_name + ".LUNM";
	var o_applyID = "document." + form_name + ".APPLID";
	var o_from_luname = "document." + form_name + ".FROM_LUNM";
	var o_to_luname = "document." + form_name + ".TO_LUNM";
	
	var vLUName =  eval(o_luname).value;
	var vToLUName =  eval(o_to_luname).value;
	var vFromLUName =  eval(o_from_luname).value;
	

	if(eval(o_puname).value == '' )
	{
		alert("PU명을 입력하세요!");
		eval(o_puname).focus();
		return false;
	}
    
	if(vLUName == '' )
	{
		alert("LU명을 입력하세요!");
		eval(o_luname).focus();
		return false;	
	}   

	if(vLUName.length == 8)
	{
		if (!vFromLUName == '')
		{
			alert("LU명은 8자리입니다. LU 시작 범위가 적용되지 않습니다!");
			eval(o_from_luname).focus();
			return false;
		}
		if (!vToLUName == '')
		{
			alert("LU명은 8자리입니다. LU 종료 범위가 적용되지 않습니다!");
			eval(o_to_luname).focus();
			return false;
		}
	}

	if(!vToLUName == '' && vFromLUName == '')
	{
		alert("LU 시작 범위가 입력되지 않았습니다.!");
		eval(o_from_luname).focus();
		return false;
	}	

	var vRealLen = parseInt(vLUName.length) + parseInt(vToLUName.length);
	if (vRealLen > 8)
	{
		alert("LU명은 8자리입니다!");
		eval(o_luname).focus();
		return false;
	}
	
	if (isNumber(vFromLUName))
	{
		if (!isNumber(vToLUName))
		{
			alert("LU 종료 범위는 숫자가 아닙니다!");
			eval(o_from_luname).focus();
			return false;
		}
		if(parseInt(vFromLUName) > parseInt(vToLUName))
		{
			alert("LU 시작 범위가 종료 범위보다 큽니다.!");
			eval(o_from_luname).focus();
			return false;
		}
	}
	else if (isAlpabet(vFromLUName))
	{
		if (!isAlpabet(vToLUName))
		{
			alert("LU 종료 범위이 알파벳이 아닙니다!");
			eval(o_from_luname).focus();
			return false;
		}
		if (vFromLUName.length != 1)
		{
			alert("LU 시작 범위는 한자리만 가능합니다!");
			eval(o_from_luname).focus();
			return false;
		}
		if (vToLUName.length != 1)
		{
			alert("LU 종료 범위는 한자리만 가능합니다!");
			eval(o_to_luname).focus();
			return false;
		}
		vFromLUName = vFromLUName.toUpperCase();
		vToLUName = vToLUName.toUpperCase();
		if(vFromLUName > vToLUName)
		{
			alert("LU 시작 범위가 종료 범위보다 큽니다.!");
			eval(o_from_luname).focus();
			return false;
		}
	}
	else {
		alert("LU 범위는 숫자나 알파벳만 입력가능합니다!");
		eval(o_from_luname).focus();
		return false;
	}

	if(eval(o_applyID).value == '' )
	{
		alert("어플리케이션 ID값을 입력하세요!");
		eval(o_applyID).focus();
		return false;
	}

    return true;    
}


function LUInfoUpdateValidate(form_name)
{
	var o_applyID = "document." + form_name + ".APPLID";
	if(eval(o_applyID).value == '' )
	{
		alert("어플리케이션 ID값을 입력하세요!");
		eval(o_applyID).focus();
		return false;
	}   

    return true;    
}

